# Uses of Class
org.eclipse.gef.layout.algorithms.TreeLayoutHelper.TreeNodeFactory

Packages that use TreeLayoutHelper.TreeNodeFactory
Package
Description
org.eclipse.gef.layout.algorithms
This package provides different implementations of concrete layout algorithms.

## Uses of TreeLayoutHelper.TreeNodeFactory in org.eclipse.gef.layout.algorithms

Constructors in org.eclipse.gef.layout.algorithms with parameters of type TreeLayoutHelper.TreeNodeFactory
Modifier
Constructor
Description
``
`TreeLayoutHelper(TreeLayoutHelper.TreeNodeFactory nodeFactory)`
Constructs a new `TreeLayoutHelper` for observing the given `LayoutContext`.